function notifyAboutWrongTelAccount(account)	{
	if(!isTelAccountAuthDataValid(account))	{
		alert('Invalid Tel hosting account name ['+account+']. Rule is: can contain only letters and numbers, min length 6, max length 32, and it cannot not begin with a number.');
	}
}

function notifyAboutWrongTelPassword(password)	{
	if(!isTelAccountAuthDataValid(password))	{
		alert('Tel hosting password ['+password+']. Rule is: can contain only letters and numbers, min length 6, max length 32, and it cannot not begin with a number.');
	}
}

function isTelAccountAuthDataValid(str)	{
	return str.match('^[a-zA-Z][0-9a-zA-Z]{5,31}$');
}


function notifyAboutWrongDataInput(datestr)	{
	if(datestr.length > 0 && !checkFrDataFormat(datestr))	{
		alert('Invalid date format for '+datestr+' please use YYYY-MM-DD date format. Ex.: 2009-03-28');
	}
}

function notifyAboutWrongFrSirenInput(siren)	{
	if(siren.length > 0 && !checkFrSirenFormat(siren))	{
		alert('Invalid siren format ['+siren+']!');
	}
}

function checkFrSirenFormat(siren)	{
	return siren.match('^[0-9]{9}$');
}

function checkFrDataFormat(datestr)	{
	return datestr.match('^\s*(19|20)[0-9]{2}\-[0-1]?[0-9]\-[0-3]?[0-9]\s*$');
}

function serializDotFrExtendedData(n)	{
	
	var serializ = '';
	
	// Collect input data
	for(var i=1; el = document.getElementById('dotFrExtended_'+n+'_'+i); i++)	{
		serializ+=(i > 1 ? "|" : "")+el.value.replace(/(\n(\r)?)/g,' ').replace(/\|/g,' ').replace(/\s\s+/g,' ');
	}
	
	// Set a serilized data into single field ( length for single nexus field 98 chars, so for 3 nexus fields allowed 98 * 3 = 294)
	document.getElementById('serializedDataForFr_'+n+'_1').value=serializ.substr(0,98);
	document.getElementById('serializedDataForFr_'+n+'_2').value=serializ.substr(98,98);
	document.getElementById('serializedDataForFr_'+n+'_3').value=serializ.substr(196,98);
}

function serializDotItExtendedData(n)	{
	
	var nationalityCode = 'IT';
	
	if(document.getElementById('legalEntityType_'+n).value == 7)	{
		document.getElementById('allNationality'+n).style.display='none';
		document.getElementById('euNationality'+n).style.display='';
		nationalityCode = document.getElementById('eu_nationality_'+n).value;
	} else {
		document.getElementById('allNationality'+n).style.display='';
		document.getElementById('euNationality'+n).style.display='none';
		nationalityCode = document.getElementById('nationality_'+n).value;
	}
	
	document.getElementById('serializedDataForIt_'+n).value=nationalityCode+'|'+document.getElementById('legalEntityType_'+n).value+'|'+document.getElementById('provinceIt_'+n).value+'|'+document.getElementById('userIP_'+n).value;
}

function dotItChangeEntityType(n)	{
	
	var val = document.getElementById('legalEntityType_'+n).value;
	var el = document.getElementById('nationality_'+n); 
	
	if(val == 2 || val == 3 || val == 4 || val == 5 || val == 6)	{
		el.value = 'IT';
	} else if(val == 7 && el.value == 'IT') {
		alert("Nationality cannot not Italy!");
		el.value = 'FR';
	}
	
	serializDotItExtendedData(n);
}

function showDotFrNeededFields(value, g)	{
	var visibleInputs = new Array();
	var allInputs = ['formInput_'+g+'_DotFRContactEntityType',
	                 'formInput_'+g+'_DotFROtherContactEntity',
	                 'formInput_'+g+'_DotFRContactEntityBirthDate',
	                 'formInput_'+g+'_DotFrContactEntityBirthPlaceCountryCode',
	                 'formInput_'+g+'_DotFRContactEntityBirthCity',
	                 'formInput_'+g+'_DotFRContactEntityBirthPlacePostalCode',
	                 'formInput_'+g+'_DotFRContactEntityRestrictedPublication',
	                 'formInput_'+g+'_DotFRContactEntityName',
	                 'formInput_'+g+'_DotFRContactEntitySiren',
	                 'formInput_'+g+'_DotFRContactEntityTradeMark',
	                 'formInput_'+g+'_DotFrContactEntityWaldec',
	                 'formInput_'+g+'_DotFRContactEntityDateOfAssocation',
	                 'formInput_'+g+'_DotFRContactEntityDateOfPublication',
	                 'formInput_'+g+'_DotFRContactEntityAnnounceNo',
	                 'formInput_'+g+'_DotFRContactEntityPageNo',
	                 'formInput_'+g+'_DotFRContactEntityVat',
	                 'info_'+g+'_DotFROtherInfo'
	                 ];
	
	if(value == 'individual')	{
		visibleInputs = ['formInput_'+g+'_DotFRContactEntityType','formInput_'+g+'_DotFRContactEntityRestrictedPublication','formInput_'+g+'_DotFRContactEntityBirthDate','formInput_'+g+'_DotFrContactEntityBirthPlaceCountryCode','formInput_'+g+'_DotFRContactEntityBirthCity','formInput_'+g+'_DotFRContactEntityBirthPlacePostalCode'];
	}
	
	if(value == 'company')	{
		visibleInputs = ['formInput_'+g+'_DotFRContactEntityType','formInput_'+g+'_DotFRContactEntityName','formInput_'+g+'_DotFRContactEntitySiren','formInput_'+g+'_DotFRContactEntityVat'];
	}
	
	if(value == 'trademark')	{
		visibleInputs = ['formInput_'+g+'_DotFRContactEntityType','formInput_'+g+'_DotFRContactEntityName','formInput_'+g+'_DotFRContactEntitySiren','formInput_'+g+'_DotFRContactEntityVat','formInput_'+g+'_DotFRContactEntityTradeMark'];
	}
	
	if(value == 'association')	{
		visibleInputs = ['formInput_'+g+'_DotFRContactEntityType','formInput_'+g+'_DotFRContactEntityName','formInput_'+g+'_DotFrContactEntityWaldec','formInput_'+g+'_DotFRContactEntityDateOfAssocation','formInput_'+g+'_DotFRContactEntityDateOfPublication','formInput_'+g+'_DotFRContactEntityAnnounceNo','formInput_'+g+'_DotFRContactEntityPageNo','formInput_'+g+'_DotFRContactEntityVat'];
	}
	
	if(value == 'other')	{
		visibleInputs = ['formInput_'+g+'_DotFRContactEntityType','formInput_'+g+'_DotFROtherContactEntity','info_'+g+'_DotFROtherInfo','formInput_'+g+'_DotFRContactEntityName','formInput_'+g+'_DotFRContactEntitySiren','formInput_'+g+'_DotFRContactEntityTradeMark','formInput_'+g+'_DotFRContactEntityVat','formInput_'+g+'_DotFRContactEntityTradeMark','formInput_'+g+'_DotFRContactEntityVat'];
	}
	
	for(var i=0;i<allInputs.length;i++)	{
		document.getElementById(allInputs[i]).style.display='none';
	}
	
	for(var i=0;i<visibleInputs.length;i++)	{
		document.getElementById(visibleInputs[i]).style.display='';
	}
}